from nmreval.configs import read_configuration

from .Qt import QtWidgets
from .lib.styles import MyProxyStyle


class App(QtWidgets.QApplication):
    color = 'light'
    theme = 'normal'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)

        configs = read_configuration()
        App.theme = configs.get('GUI', 'Theme')
        App.color = configs.get('GUI', 'Color')

        self.setStyle(MyProxyStyle(App.color))
